# Signature Service

## Submit Transaction Signature

> Submit a captured transaction signature image for a specified transaction.

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"paths":{"/rest/v2/signature":{"post":{"tags":["Signature Service"],"summary":"Submit Transaction Signature","description":"Submit a captured transaction signature image for a specified transaction.","operationId":"post","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of a signature request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signature"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"signature":{"required":["base-64-image","created","transaction-id"],"type":"object","properties":{"transaction-id":{"type":"integer","description":"Unique identifier of the transaction associated with the signature.","format":"int32"},"base-64-image":{"type":"string","description":"Base64-encoded image data of the captured transaction signature."},"created":{"type":"string","description":"Date and time when the signature was created."}},"description":"This model represents the signature","xml":{"name":"signature"}},"payload":{"required":["payloadType"],"type":"object","properties":{"signature":{"$ref":"#/components/schemas/signature"},"payloadType":{"type":"string","description":"The type of payload returned in response.","xml":{"name":"type","attribute":true}}},"description":"This model represents the signature response payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## Get Transaction Signature

> Retrieve the signature image and related details for a specified transaction using the transaction ID.

```json
{"openapi":"3.0.1","info":{"title":"Transaction Signature","version":"2.0"},"paths":{"/rest/v2/signature/{transactionId}":{"get":{"tags":["Signature Service"],"summary":"Get Transaction Signature","description":"Retrieve the signature image and related details for a specified transaction using the transaction ID.","operationId":"get","parameters":[{"name":"transactionId","in":"path","description":"Unique identifier of the transaction associated with the signature.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"payload":{"required":["payloadType"],"type":"object","properties":{"signature":{"$ref":"#/components/schemas/signature"},"payloadType":{"type":"string","description":"The type of payload returned in response.","xml":{"name":"type","attribute":true}}},"description":"This model represents the signature response payload","xml":{"name":"payload"}},"signature":{"required":["base-64-image","created","transaction-id"],"type":"object","properties":{"transaction-id":{"type":"integer","description":"Unique identifier of the transaction associated with the signature.","format":"int32"},"base-64-image":{"type":"string","description":"Base64-encoded image data of the captured transaction signature."},"created":{"type":"string","description":"Date and time when the signature was created."}},"description":"This model represents the signature","xml":{"name":"signature"}},"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```
